#Reveblast total anim duration : 7s (140 ticks)
#start at 350 ticks
#blast at 5th second

#align to core
execute if entity @e[tag=host,scores={boss.battle_tick=380..383}] run tp @e[tag=aj.revenant.bone] @e[tag=revenant_core,sort=nearest,limit=1]
execute if entity @e[tag=host,scores={boss.battle_tick=381..383}] run tp @s @e[tag=revenant_core,sort=nearest,limit=1]
execute if entity @e[tag=host,scores={boss.battle_tick=380}] run tellraw @a[distance=..75] ["",{"text":"\u2747 ","bold":true,"color":"dark_red"},{"text":"The Revenant","bold":true,"color":"red"},{"text":" is charging a powerful blast. Find a high elevation to avoid the attack!","color":"dark_red"}]

#Play anim
execute if entity @e[tag=host,scores={boss.battle_tick=..389}] run function revenant:animations/idle/next_frame
execute if entity @e[tag=host,scores={boss.battle_tick=390..391}] run function revenant:animations/reveblast/play
execute if entity @e[tag=host,scores={boss.battle_tick=400..490}] run tp @s ~ ~0.02 ~

#charge-up
execute at @e[tag=reveblastAnimMood_2,limit=1,sort=nearest] if entity @e[tag=host,scores={boss.battle_tick=380..490}] positioned ^ ^10 ^15 run summon area_effect_cloud ~ ~ ~ {Duration:60,Tags:["reveblastPreAnim"]}
execute if entity @e[tag=host,scores={boss.battle_tick=400..490}] at @e[tag=aj.revenant.bone.weapon,limit=1,sort=nearest] run particle soul_fire_flame ~ ~1 ~ 0.2 1 0.2 0.1 3 normal
execute if entity @e[tag=host,scores={boss.battle_tick=470..510}] at @e[tag=aj.revenant.bone.weapon,limit=1,sort=nearest] run particle flash ~ ~2 ~ 0.4 0 0.4 0.1 1 normal

#Blast
execute if entity @e[tag=host,scores={boss.battle_tick=380..}] run particle dust_color_transition 0.5 0.1 0.1 2 0 0.1 0.3 ~ ~ ~ 10 5 10 0.01 30 normal
execute if entity @e[tag=host,scores={boss.battle_tick=380..460}] run playsound entity.elder_guardian.ambient player @a[distance=..50] ~ ~ ~ 1 0 0
execute if entity @e[tag=host,scores={boss.battle_tick=380..460}] run playsound minecraft:entity.zombie_villager.converted player @a[distance=..50] ~ ~ ~ 0.1 0 0
execute if entity @e[tag=host,scores={boss.battle_tick=490..500}] run playsound minecraft:entity.zombie_villager.cure player @a[distance=..50] ~ ~ ~ 1 0 0.1
execute if entity @e[tag=host,scores={boss.battle_tick=400}] at @e[tag=revenant_core,limit=1,sort=nearest] run summon armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["reveblastAnimMood"]}
execute if entity @e[tag=host,scores={boss.battle_tick=400}] at @e[tag=revenant_core,limit=1,sort=nearest] run summon armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["reveblastAnimMood","reveblastAnimMood_2"]}
execute at @e[tag=reveblastAnimMood,limit=1,sort=nearest] if entity @e[tag=host,scores={boss.battle_tick=440..490}] positioned ^ ^ ^1 run summon area_effect_cloud ~ ~ ~ {Duration:100,Tags:["reveblastAnim"]}

execute at @e[tag=reveblastAnim,type=area_effect_cloud] if entity @e[tag=host,scores={boss.battle_tick=490..}] run particle soul_fire_flame ~ ~ ~ 0.3 0.3 0.3 0.1 3 normal
execute at @e[tag=reveblastAnim,type=area_effect_cloud] if entity @e[tag=host,scores={boss.battle_tick=490..}] run particle dust_color_transition 0.3 0 0.1 3 0 0.1 0.3 ~ ~ ~ 0.2 0.2 0.2 0.01 1 normal
execute at @e[tag=reveblastAnim,type=area_effect_cloud] if entity @e[tag=host,scores={boss.battle_tick=490..}] run particle dust_color_transition 0.5 0.1 0.1 1 0 0.1 0.3 ~ ~ ~ 0.2 0.2 0.2 0.01 1 normal
execute at @e[tag=reveblastAnim,type=area_effect_cloud] if entity @e[tag=host,scores={boss.battle_tick=490..}] run playsound minecraft:entity.zombie_villager.cure player @a[distance=..10] ~ ~ ~ 0.1 0 0.1
execute at @e[tag=reveblastAnim,type=area_effect_cloud] if entity @e[tag=host,scores={boss.battle_tick=490..}] run playsound minecraft:entity.zombie_villager.converted player @a[distance=..10] ~ ~ ~ 0.1 0 0.1
execute as @e[tag=reveblastAnim,type=area_effect_cloud] at @s if entity @e[tag=host,scores={boss.battle_tick=490..}] run tp @s ^ ^ ^-0.5 facing entity @e[tag=revenant_core,limit=1,sort=nearest] feet
execute as @e[tag=reveblastAnim,type=area_effect_cloud] at @s if entity @e[tag=host,scores={boss.battle_tick=490..}] run effect give @e[type=#ally,distance=..2,type=!#undead] instant_damage 1 3 true
execute as @e[tag=reveblastAnim,type=area_effect_cloud] at @s if entity @e[tag=host,scores={boss.battle_tick=490..}] run effect give @e[type=#ally,distance=..2,type=#undead] instant_health 1 3 true

execute as @e[tag=reveblastPreAnim,type=area_effect_cloud] at @s if entity @e[tag=host,scores={boss.battle_tick=400..460}] run tp @s ^0.9 ^0.3 ^0.5 facing entity @e[tag=aj.revenant.bone.weapon,sort=nearest,limit=1] eyes
execute as @e[tag=reveblastPreAnim,type=area_effect_cloud] at @s if entity @e[tag=host,scores={boss.battle_tick=400..460}] run particle dust_color_transition 0.3 0 0.1 3 0 0.1 0.3 ~ ~ ~ 0.2 0.2 0.2 0.01 1 normal
execute as @e[tag=reveblastPreAnim,type=area_effect_cloud] at @s if entity @e[tag=host,scores={boss.battle_tick=400..460}] run particle soul_fire_flame ~ ~ ~ 0.2 0.2 0.2 0.1 1 normal

#reveblastAnimMood
execute as @e[tag=reveblastAnimMood_2] at @s run tp @s ~ ~ ~ ~-15 ~
execute as @e[tag=reveblastAnimMood] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=reveblastAnimMood] at @s if entity @e[tag=host,scores={boss.battle_tick=500..}] run kill @s