execute as @a[tag=rn, scores={crouch=1.. , rncd=1..}, nbt={SelectedItem:{id:"minecraft:enchanted_book"}}] at @s run scoreboard players set @s crouch 0

scoreboard players remove @a[tag=rn, scores={rncd=1..}] rncd 1

execute as @a[predicate=ampsurv:hold_enchanted_book,tag=rn] run function ampsurv:skill/aas/rn/title

execute as @a[tag=rn, scores={rncd=..1},predicate=ampsurv:hold_enchanted_book,predicate=ampsurv:sneaking] at @s run function ampsurv:skill/aas/rn/cast

execute as @e[tag=rnTotem,type=area_effect_cloud] at @s run function ampsurv:skill/aas/rn/rntotem

execute as @e[tag=rnAnim,type=area_effect_cloud] at @s if entity @e[tag=rnTotem,distance=..5,type=area_effect_cloud] run tp @s ^1.3 ^ ^1 facing entity @e[tag=rnTotem,distance=..5,limit=1,sort=nearest]
execute as @e[tag=rn,type=player] at @s if entity @e[tag=rnTotem,distance=..5,type=area_effect_cloud] run playsound minecraft:entity.zombie_villager.converted player @a[distance=..8] ~ ~ ~ 1 1 0.1
execute as @e[tag=rnAnim,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..5,type=area_effect_cloud] run playsound minecraft:entity.zombie_villager.cure player @a[distance=..4] ~ ~ ~ 0.05 0 0

#execute as @e[tag=rnAnim,type=area_effect_cloud] at @s run particle dust 0.8 0 1 1 ~ ~1 ~ 0.2 0.2 0.2 1 5 force
execute as @e[tag=rnAnim,type=area_effect_cloud] at @s run particle witch ~ ~1 ~ 0.2 0.2 0.2 0 5 force
execute as @e[tag=rnAnim,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..5,type=area_effect_cloud] run tp @s ^ ^ ^-1

execute as @e[tag=rnExp,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..3,type=area_effect_cloud] run effect give @e[type=#enemy,type=!#undead,distance=..15] instant_damage 1 2 true
execute as @e[tag=rnExp,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..3,type=area_effect_cloud] run effect give @e[type=#undead,distance=..15] instant_health 1 2 true
execute as @e[tag=rnExp,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..3,type=area_effect_cloud] run effect give @e[type=#ally,distance=..15] instant_health 1 2 true

#Runed particle
execute as @e[tag=rnRuned] at @s run particle witch ~ ~2 ~ 0 0 0 0 1 force
execute as @e[tag=rnRuned] at @s run particle enchant ~ ~2.3 ~ 0.2 0.2 0.2 0 1 force

#Rune Mechanism
execute as @e[tag=rnExp,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..3,type=area_effect_cloud] run tag @e[distance=..15,tag=!gate,tag=!static,tag=!statue,type=!#objects] add rnRuned
execute as @e[tag=rnExpAnim,type=area_effect_cloud] at @s run tp @s ~ ~ ~ ~-1 ~
execute as @e[tag=rnExpAnim,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..3,type=area_effect_cloud] unless entity @e[tag=rn_ring_cd,type=area_effect_cloud] run function ampsurv:skill-visuals/rn
execute as @e[tag=rnExpAnim,type=area_effect_cloud] at @s unless entity @e[tag=rnTotem,distance=..3,type=area_effect_cloud] unless entity @e[tag=rn_ring_cd,type=area_effect_cloud] run summon area_effect_cloud ~ ~ ~ {Duration:2 ,Tags:["rn_ring_cd"]}
execute as @e[tag=rnRuned] at @s unless entity @e[tag=rnRuneDuration] run tag @s remove rnRuned

execute as @e[tag=rnRuned] at @s unless entity @e[tag=rn_rune_cd] run function ampsurv:skill/comp/rn